Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.configuration
Interface ILocalSystemInfoListener

public interface ILocalSystemInfoListener

Local system change listener interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `LocalSystemInfo.addInfoListener(ILocalSystemInfoListener)`, `LocalSystemInfo.removeInfoListener(ILocalSystemInfoListener)`, `LocalSystemInfo.fireSystemInfoChanged(IVolume,int)`

Method Summary
`void` | `systemInfoChanged(IVolume volume, int changeType)` Volume change notification.

Method Detail

### systemInfoChanged

    public void systemInfoChanged(IVolume volume,
                                  int changeType)

  Volume change notification. Called each time there are relevant volume changes detected. This specifically includes changes to the file system structure as a result of removable drive/ media operations (eg. CD insertion), and changes to volume mount structure.

  Parameters:
    `volume` - volume of the changed file system structure. Any current paths beyond the specified 'root' file of the volume are assumed to be invalidated.
    `changeType` - type of the change that occured.
  Since:
    2.0

    Note: This method is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

  See Also:
    `LocalSystemInfo.VOLUME_ADDED`, `LocalSystemInfo.VOLUME_REMOVED`, `LocalSystemInfo.VOLUME_CHANGED`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.